# ACE_Addr Class Reference

Defines the base class for the "address family independent" address format. More...

`#include <Addr.h>`

Inheritance diagram for ACE_Addr:

[legend]
Collaboration diagram for ACE_Addr:

[legend]
List of all members.

## Public Member Functions

| ACE_Addr (int type=-1, int size=-1)
| Initializes instance variables.
virtual | ~ACE_Addr (void)
| Destructor.
int | get_size (void) const
| Return the size of the address.
void | set_size (int size)
| Sets the size of the address.
int | get_type (void) const
| Get the type of the address.
void | set_type (int type)
| Set the type of the address.
virtual void * | get_addr (void) const
| Return a pointer to the address.
virtual void | set_addr (void *, int len)
| Set a pointer to the address.
bool | operator== (const ACE_Addr &sap) const
| Check for address equality.
bool | operator!= (const ACE_Addr &sap) const
| Check for address inequality.
void | base_set (int type, int size)
| Initializes instance variables.
virtual unsigned long | hash (void) const
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Static Public Attributes

const ACE_Addr | sap_any
| Wild-card address.

## Protected Attributes

int | addr_type_
| e.g., AF_UNIX, AF_INET, AF_SPIPE, etc.
int | addr_size_
| Number of bytes in the address.

## Detailed Description

Defines the base class for the "address family independent" address format.

## Constructor & Destructor Documentation

ACE_Addr::ACE_Addr | ( | int | type = `-1`,
|  | int | size = `-1`
| ) |

| Initializes instance variables.

ACE_Addr::~ACE_Addr | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void ACE_Addr::base_set | ( | int | type,
|  | int | size
| ) |

| Initializes instance variables.

void ACE_Addr::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented in ACE_ATM_Addr, ACE_DEV_Addr, ACE_FILE_Addr, ACE_INET_Addr, ACE_MEM_Addr, ACE_SPIPE_Addr, and ACE_UNIX_Addr.

void * ACE_Addr::get_addr | ( | void |  | ) | const`[virtual]`

| Return a pointer to the address. Reimplemented in ACE_ATM_Addr, ACE_DEV_Addr, ACE_FILE_Addr, ACE_INET_Addr, ACE_MEM_Addr, ACE_SPIPE_Addr, and ACE_UNIX_Addr.

ACE_INLINE int ACE_Addr::get_size | ( | void |  | ) | const

| Return the size of the address.

ACE_INLINE int ACE_Addr::get_type | ( | void |  | ) | const

| Get the type of the address.

ACE_INLINE unsigned long ACE_Addr::hash | ( | void |  | ) | const`[virtual]`

| Returns a hash value. This should be overwritten by a subclass that can produce a better hash value. Reimplemented in ACE_INET_Addr, ACE_MEM_Addr, and ACE_UNIX_Addr.

ACE_INLINE bool ACE_Addr::operator!= | ( | const ACE_Addr & | sap | ) | const

| Check for address inequality.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE bool ACE_Addr::operator== | ( | const ACE_Addr & | sap | ) | const

| Check for address equality.

void ACE_Addr::set_addr | ( | void * | ,
|  | int | len
| ) | `[virtual]`

| Set a pointer to the address. Reimplemented in ACE_ATM_Addr, ACE_INET_Addr, ACE_MEM_Addr, ACE_SPIPE_Addr, and ACE_UNIX_Addr.

ACE_INLINE void ACE_Addr::set_size | ( | int | size | ) |

| Sets the size of the address.

ACE_INLINE void ACE_Addr::set_type | ( | int | type | ) |

| Set the type of the address.

## Member Data Documentation

ACE_Addr::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_ATM_Addr, ACE_DEV_Addr, ACE_FILE_Addr, ACE_INET_Addr, ACE_MEM_Addr, ACE_SPIPE_Addr, and ACE_UNIX_Addr.

int ACE_Addr::addr_size_`[protected]`

| Number of bytes in the address.

int ACE_Addr::addr_type_`[protected]`

| e.g., AF_UNIX, AF_INET, AF_SPIPE, etc.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL const ACE_Addr ACE_Addr::sap_any`[static]`

| Wild-card address.

The documentation for this class was generated from the following files:

- Addr.h
- Addr.cpp
- Addr.inl